com.sun.jna.platform.win32

## Class OaIdl.DECIMAL

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.DECIMAL

Direct Known Subclasses:
  OaIdl.DECIMAL.ByReference

Enclosing interface:
  OaIdl

    @Structure.FieldOrder(value={"wReserved","decimal1","Hi32","decimal2"})
    public static class OaIdl.DECIMAL
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.DECIMAL._DECIMAL1`
`static class` `OaIdl.DECIMAL._DECIMAL2`
`static class` `OaIdl.DECIMAL.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`OaIdl.DECIMAL._DECIMAL1` `decimal1`
`OaIdl.DECIMAL._DECIMAL2` `decimal2`
`NativeLong` `Hi32`
`short` `wReserved`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DECIMAL()`
`DECIMAL(Pointer pointer)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### wReserved

    public short wReserved

#### decimal1

    public OaIdl.DECIMAL._DECIMAL1 decimal1

#### Hi32

    public NativeLong Hi32

#### decimal2

    public OaIdl.DECIMAL._DECIMAL2 decimal2

### Constructor Detail

#### DECIMAL

    public DECIMAL()

#### DECIMAL

    public DECIMAL(Pointer pointer)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.